class ApiError extends Error {
  private readonly status !: number

  constructor (status: number, message: string) {
    super(message)
    this.status = status
  }

  public getStatus (): number {
    return this.status
  }
}
export default ApiError
